Employee Checks
Download Paystub PDF
Fetch a PDF of a paystub corresponding to a processed employee check.
GET
/
paystub
/
company
/
{companyID}
/
check
/
{employeeCheckID}
Download Paystub PDF
curl --request GET \
--url https://api.zeal.com/paystub/company/{companyID}/check/{employeeCheckID} \
--header 'Authorization: <api-key>'import requests
url = "https://api.zeal.com/paystub/company/{companyID}/check/{employeeCheckID}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zeal.com/paystub/company/{companyID}/check/{employeeCheckID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"success": false,
"testMode": false,
"errors": [
{
"message": "Employee Check with this ID does not exist",
"code": 17
}
]
}{
"success": false,
"testMode": false,
"errors": [
{
"message": "Paystub is not available until the check is processed.",
"code": "PAYSTUB_NOT_AVAILABLE"
}
]
}Authorizations
Path Parameters
ID of the company
ID of the employee check to download paystub for
Query Parameters
Optional paystub snapshot revision to download.
Response
Paystub PDF
The response is of type file.
⌘I
Download Paystub PDF
